<?php
/*
The comments page for Bones
*/

// Do not delete these lines
  if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
    die ('Please do not load this page directly. Thanks!');

  if ( post_password_required() ) { ?>
  	<div class="help">
    	<p class="nocomments"><?php _e('This post is password protected. Enter the password to view comments.', 'wptriumph' ); ?></p>
  	</div>
  <?php
    return;
  }
?>

<!-- You can start editing here. -->

<?php if ( have_comments() ) : ?>
	
	<h4 id="comments" class="section"><span><?php comments_number(__('No Responses', 'wptriumph'), __('One Response', 'wptriumph'), __('% Responses', 'wptriumph') );?> </span></h4>

	<nav id="comment-nav">
		<ul class="clearfix">
	  		<li><?php previous_comments_link() ?></li>
	  		<li><?php next_comments_link() ?></li>
	 	</ul>
	</nav>
	
	<ol class="commentlist">
		<?php wp_list_comments('type=comment&callback=wptriumph_comments'); ?>
	</ol>
	
	<nav id="comment-nav">
		<ul class="clearfix">
	  		<li><?php previous_comments_link() ?></li>
	  		<li><?php next_comments_link() ?></li>
		</ul>
	</nav>
  
	<?php else : // this is displayed if there are no comments so far ?>

	<?php if ( comments_open() ) : ?>
    	<!-- If comments are open, but there are no comments. -->

	<?php else : // comments are closed ?>
	<!-- If comments are closed. -->
    <ul class="commentlist">
	<li><p><?php _e('Comments are closed.', 'wptriumph'); ?></p></li>
    </ul>

	<?php endif; ?>

<?php endif; ?>


<?php if ( comments_open() ) : ?>

<section id="respond">

	<h4 id="comment-form-title" class="section"><span><?php comment_form_title( __('Leave a Reply', 'wptriumph'), __('Leave a Reply to %s', 'wptriumph') ); ?></span></h4>

	<div id="cancel-comment-reply">
		<p class="small"><?php cancel_comment_reply_link(); ?></p>
	</div>

	<?php if ( get_option('comment_registration') && !is_user_logged_in() ) : ?>
  	<div class="help">
  		<p>You must be <a href="<?php echo wp_login_url( get_permalink() ); ?>">logged in</a> to post a comment.</p>
  	</div>
	<?php else : ?>

	<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

	<?php if ( is_user_logged_in() ) : ?>

	<p class="comments-logged-in-as">Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Log out of this account"><?php _e('Log out &raquo;', 'wptriumph') ?></a></p>

	<?php else : ?>
	
	<ul id="comment-form-elements" class="clearfix">
		
		<li>
		  <input type="text" name="author" id="author" value="<?php echo esc_attr($comment_author); ?>" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> />
		  <label for="author"><?php _e('Name', 'wptriumph'); ?> <?php if ($req) _e('<span>(required)</span>', 'wptriumph') ; ?></label>
		</li>
		
		<li>
		  <input type="email" name="email" id="email" value="<?php echo esc_attr($comment_author_email); ?>" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> />
		  <label for="email"><?php _e('Mail', 'wptriumph'); ?> <?php if ($req) echo "<span>" . __('(Will not published) (Required)', 'wptriumph' ) . "</span>"; ?></label>
		</li>
		
		<li>
		  <input type="url" name="url" id="url" value="<?php echo esc_attr($comment_author_url); ?>" tabindex="3" />
		  <label for="url"><?php _e('Website', 'wptriumph'); ?></label>
		</li>
		
	</ul>

	<?php endif; ?>
	
	<p><textarea name="comment" id="comment" tabindex="4"></textarea></p>
	
	<p>
	  <input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e('Submit Comment &rarr;', 'wptriumph'); ?>" />
	  <?php comment_id_fields(); ?>
	</p>
	
	<p id="allowed_tags"><strong>XHTML:</strong> <?php _e('You can use these tags:', 'wptriumph'); ?> <code><?php echo allowed_tags(); ?></code></p>
	
	<?php do_action('comment_form', $post->ID); ?>
	
	</form>
	
	<?php endif; // If registration required and not logged in ?>
</section>

<?php endif; // if you delete this the sky will fall on your head ?>