<?php
/*

Author: Anggun Pribadi
URL: http://wepixels.com/

Some part of functions taken from bones theme by Eddie Machado(http://themble.com/bones)
But most of those files and functions are renamed to make it organized with the theme.


*/

//Load
include_once('library/symphony-helper.php');
/*
Inside the symphony-helper.php file:

	1. removing some wp calls in the header
		a. rsd_link (simple discovery link)
		b. wlwmanifest_link (windows live writer link)
		c. wp_generator (version number)
	2. adding comment reply script via wp
	3. adding custom scripts file in the footer
	4. PNG fix for IE
	5. adding wp 3.0 functions
		a. menus
		b. thumbnails
		c. custom bg images
		d. custom header images
	6. relates posts scripts (optional)

To Use Expirimental Features keep the line below enabled

(DISABLE IF YOU DON'T WANT IT OR ENCOUNTER ANY ERRORS)

To disable, simply add two slashes before it (//). 
When disabled, it would look like this:

// include_once('library/plugins.php');

*/

// Expirimental Features
include_once('library/plugins.php');

// Adding Custom Post Type
//include_once('library/custom-post-type.php');

// Adding Metaboxes
include_once('library/metaboxes.php');

// Get Custom Widgets class files 
include_once('library/widgets/flickr.php');
include_once('library/widgets/recent_comments.php');
include_once('library/widgets/recent_posts.php');
include_once('library/widgets/tabs.php');
include_once('library/widgets/twitter.php');
include_once('library/widgets/video.php');

// Admin panel/ Theme Options
include_once('library/admin/wptriumph-framework.php');

if ( ! isset( $content_width ) ) $content_width = 580;

// Adding Translation
load_theme_textdomain( 'wptriumph', TEMPLATEPATH.'/library/languages' );
 
$locale = get_locale();
$locale_file = TEMPLATEPATH."/library/languages/$locale.php";
if ( is_readable($locale_file) )
    require_once($locale_file);

/* BONES FUNCTIONS (DO NOT EDIT) */

// Thumbnail sizes
add_image_size( 'thumb-640', 640, 400, true );
add_image_size( 'thumb-300', 302, 189, true );
/* 
to add more sizes, simply copy a line from above 
and change the dimensions & name. As long as you
upload a "featured image" as large as the biggest
set width or height, all the other sizes will be
autocropped.

To call a different size, simply change the text
inside the thumbnail function.

For example, to call the 300 x 300 sized image, 
we would use the function:
<?php the_post_thumbnail( 'thumb-300' ); ?>
for the 600 x 100 image:
<?php the_post_thumbnail( 'thumb-600' ); ?>

You can change the names and dimensions to whatever
you like. Enjoy!
*/

// Sidebars & Widgetizes Areas
function wptriumph_register_sidebars() {
	/* This is wide widget area on the sidebar */
	register_sidebar(array(
		'id' => 'sidebar-wide',
		'name' => 'Sidebar Wide',
		'description' => 'The first sidebar (wide).',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h4 class="widgettitle"><span>',
		'after_title' => '</span></h4>',
	));
	
	/* This is widget area on the footer positioned on the most left */
	register_sidebar(array(
		'id' => 'first-footer-sidebar',
		'name' => 'Footer Sidebar 1',
		'description' => 'The first footer widget area.',
		'before_widget' => '<div id="%1$s" class="widget footer-widget-1 %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h4 class="widgettitle"><span>',
		'after_title' => '</span></h4>',
	));

	/* This is widget area on the footer positioned on the second from left */
	register_sidebar(array(
		'id' => 'second-footer-sidebar',
		'name' => 'Footer Sidebar 2',
		'description' => 'The second footer widget area.',
		'before_widget' => '<div id="%1$s" class="widget footer-widget-2 %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h4 class="widgettitle"><span>',
		'after_title' => '</span></h4>',
	));

	/* This is widget area on the footer positioned on the third from left */
	register_sidebar(array(
		'id' => 'third-footer-sidebar',
		'name' => 'Footer Sidebar 3',
		'description' => 'The third footer widget area.',
		'before_widget' => '<div id="%1$s" class="widget footer-widget-3 %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h4 class="widgettitle"><span>',
		'after_title' => '</span></h4>',
	));

	/* This is widget area on the footer positioned on the most right */
	register_sidebar(array(
		'id' => 'fourth-footer-sidebar',
		'name' => 'Footer Sidebar 4',
		'description' => 'The fourth footer widget area.',
		'before_widget' => '<div id="%1$s" class="widget footer-widget-4 %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h4 class="widgettitle"><span>',
		'after_title' => '</span></h4>',
	));
 
}

// adding sidebars to Wordpress
add_action( 'widgets_init', 'wptriumph_register_sidebars' );
		
// Comment Layout fallback
function wptriumph_comments($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
	<li <?php comment_class(); ?>>
		<article id="comment-<?php comment_ID(); ?>">
			<header class="comment-author vcard">
				<?php echo get_avatar($comment,$size='60',$default='<path_to_url>' ); ?>
				<?php printf(__('<cite class="fn">%s</cite>'), get_comment_author_link()) ?>
				<span class="time"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?></a></span>
				<?php edit_comment_link(__('(Edit)'),'  ','') ?>
			</header>

			<?php if ($comment->comment_approved == '0') : ?>
       			<div class="help">
          			<p><?php _e('Your comment is awaiting moderation.', 'wptriumph') ?></p>
          		</div>
          		
			<?php endif; ?>
			
			<section class="comment_content clearfix">
				<?php comment_text() ?>
			</section>

			<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
			
		</article>
    <!-- </li> is added by wordpress automatically -->
<?php
}

?>