(function($) {
	$(document).ready( function(){
		$('#slider').fwSlider();
		$('#accordion').fwAccordion();
		$('.tabs').fwTabs();
	});

	$.fn.fwTabs = function(options){
		var settings = $.extend({}, $.fn.fwTabs.defaults, options);
		var active = 0;
		
		var tabs = $(this);
		
		$('.nav-tab li', tabs ).click( function(){
			idx = $(this).index();
			if ( idx == $('.nav-tab li.tab-active', tabs ).index() ) return false;
			startTab(tabs, idx);
		});
				
		function startTab(tabs, idx){
			$('.active', tabs).fadeOut().removeClass('active').addClass('hide');
			$('.tab-content', tabs).eq(idx).removeClass('hide').addClass('active').fadeIn();
			$('li.tab-active', tabs).removeClass('tab-active');
			$('.nav-tab li', tabs).eq(idx).addClass('tab-active');
		}

	}

	$.fn.fwSlider = function(options) {

		var settings = $.extend({}, $.fn.fwSlider.defaults, options);
		var active = 0;
		
		var slider = $(this);
		var count = $('.item',slider).length;
		$('.item', slider ).hide();
		
		startSlide(slider,0);
		setInterval( function(){ startSlide(slider,active); }, 5000 );
		
		$('.slider-nav a', slider ).click( function(){
			var ths = $(this);
			idx = $('.slider-nav a', slider ).index(ths);
			active = idx;
			startSlide(slider, idx);
			return false;
		});
		
		function startSlide( slider, idx ){
			$('.active-slide', slider ).fadeOut('fast');
			$('.active-slide', slider ).removeClass('active-slide');
			$('.item', slider ).eq(idx).fadeIn('slow');
			$('.item', slider ).eq(idx).addClass('active-slide');
			$('.slider-nav .active-dot', slider ).removeClass('active-dot');
			$('.slider-nav a', slider ).eq(idx).addClass('active-dot');
			active++;
			if ( active == count ){
				active = 0;
			}
		}

	}
	
	
	$.fn.fwAccordion = function(options) {
		var settings = $.extend({}, $.fn.fwAccordion.defaults, options);
		var active_acc = 0;
		
		var accordion = $(this);
		var count_acc = $('.item', this).length;
		var width_acc = accordion.width();
		var width_item = $('.item', accordion).width();
		var width_tab = (( width_acc - width_item ) / ( count_acc - 1 )) - width_item;
		var idx = 0;
		$('.item', accordion ).css({ 'float':'left', 'margin-right' : width_tab + 'px' });
		$('.item .accordion-content', accordion ).hide();
		
		activeTab(accordion, idx);
		
		$('.item a.acc-thumb', accordion).click( function(){
			var prt = $(this).parents('.item');
			idx = $('.item', accordion ).index(prt);
			active = idx;
			activeTab(accordion, idx);
			return false;			
		});
		
		function activeTab(accordion, idx){
			$('.active-accordion', accordion ).animate({ marginRight : width_tab + 'px' },'fast', 'swing' );
			$('.active-accordion .accordion-content', accordion ).fadeOut();

			$('.active-accordion', accordion ).removeClass('active-accordion');
			if ( idx < count_acc ){
				$('.item', accordion).eq(idx).animate({ marginRight : '0px' }, 'fast', 'swing' );
				$('.item', accordion).eq(idx).addClass('active-accordion');
				$('.active-accordion .accordion-content', accordion ).fadeIn('slow');
			}else{
				$('.item', accordion).eq(idx).animate({ marginRight : '0px' }, 'fast', 'swing' );
				$('.item', accordion).eq(idx).addClass('active-accordion');
				$('.active-accordion .accordion-content', accordion ).fadeIn('slow');
			}
		}

	}
		  
})(jQuery);