<?php
/*	List all files for metaboxes 
	in the post screen

*/

add_action('admin_init', 'wptriumph_video_metabox');
function wptriumph_video_metabox(){
    add_meta_box( 
        'wptriumph_video',
        __( ' Featured video', 'myplugin_textdomain' ),
        'wptriumph_video_metabox_form',
        'post' ,
		'side'
    );
}

function wptriumph_video_metabox_form(){
	global $post;
	
	$video_options = get_post_meta($post->ID, '_wptriumph_video_options', true);

	wp_nonce_field('video_metabox_nonce_id','video_metabox_nonce');
?>
<div id="video-metabox">
	<p>
		<label for="video_provider">Provider</label>
		<select id="video_provider" name="video_options[video_provider]" >	
			<option <?php selected($video_options['video_provider'], 'vimeo'); ?>>vimeo</option>
			<option <?php selected($video_options['video_provider'], 'youtube'); ?>>youtube</option>
			<option <?php selected($video_options['video_provider'], 'URL'); ?>>URL</option>
		</select>
	</p>
	<p>
		<label for="video_id">Video ID/URL</label>
		<input type="text" id="video_id" name="video_options[video_id]" value="<?php echo $video_options['video_id']; ?>" />
		<br /><small>use the video id if you choose vimeo or youtube provider, and video URL if you choose self hosted video</small>
	</p>
	<p class="description">NOTE: Featured video only works when the selected post format is video format.</p>
</div>
<?php
}

add_action('save_post', 'wptriumph_video_metabox_save');
function wptriumph_video_metabox_save(){
	global $post, $shortname;
	
	if ( isset($post) )
		$post_id = $post->ID;
	else
		$post_id = 0;
	// verify this came from the our screen and with proper authorization,
	// because save_post can be triggered at other times

	if ( isset($_POST['video_metabox_nonce'] ) && !wp_verify_nonce( $_POST['video_metabox_nonce'], 'video_metabox_nonce_id' )  )
		return $post_id;

	// verify if this is an auto save routine. 
	// If it is our form has not been submitted, so we dont want to do anything
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) 
		return $post_id;

  
	// Check permissions
	if ($post_id)
	{
		if ( !current_user_can( 'edit_post', $post_id ) )
			return $post_id;
	}

	// OK, we're authenticated: we need to find and save the data

	$video_options = (isset($_POST['video_options']) ) ? $_POST['video_options'] : '';
	update_post_meta($post_id, '_wptriumph_video_options', $video_options);
	return $post_id;
}
?>