<?php

// remove some WP defaults
function removeHeadLinks() {
	// remove simple discovery link
	remove_action('wp_head', 'rsd_link');
	// remove windows live writer link
	remove_action('wp_head', 'wlwmanifest_link');
	// remove the version number
	remove_action('wp_head', 'wp_generator');
	// remove header links
}
add_action('init', 'removeHeadLinks');
// Add RSS links to <head> section
add_theme_support('automatic-feed-links');
	
// loading jquery reply elements on single pages automatically
add_action('wp_print_scripts', 'wptriumph_queue_js');

function wptriumph_queue_js(){
  if (!is_admin()){
    if ( is_singular() AND comments_open() AND (get_option('thread_comments') == 1))
      wp_enqueue_script( 'comment-reply' );
  }
}
	
// Adding WP 3.0 Functions
//menus
add_theme_support( 'menus' );
// thumbnails
add_theme_support('post-thumbnails'); 
set_post_thumbnail_size(60, 60, true); /* more sizes are available using the functions.php file */

// adding post format video support
add_theme_support( 'post-formats', 
	array( 
		'video', 
	)
);	
	
	

// Creating the Nav Menus
add_action( 'init', 'wptriumph_menus' );

function wptriumph_menus() { 
	if (function_exists( 'register_nav_menus' )) {	
		register_nav_menus(
			array( 
				'top_nav' => 'The Top Menu',
				'main_nav' => 'The Main Menu',
				'footer_links' => 'Footer Links'
			)
		);
	}		
}


function wptriumph_main_nav() {
	// display the wp3 menu if available
    wp_nav_menu( 
    	array( 
    		'menu' => 'main_nav', /* menu name */
    		'theme_location' => 'main_nav', /* where in the theme it's assigned */
    		'container_class' => 'menu', /* container class */
    		'fallback_cb' => 'wptriumph_main_nav_fallback' /* menu fallback */
    	)
    );
}

function wptriumph_top_nav() {
	// display the wp3 menu if available
    wp_nav_menu( 
    	array( 
    		'menu' => 'top_nav', /* menu name */
    		'theme_location' => 'top_nav', /* where in the theme it's assigned */
    		'container' => false, /* container class */
			'depth' => 1,
    		'fallback_cb' => 'wptriumph_top_nav_fallback' /* menu fallback */
    	)
    );
}


function wptriumph_footer_links() { 
	// display the wp3 menu if available
    wp_nav_menu(
    	array(
    		'menu' => 'footer_links', /* menu name */
    		'theme_location' => 'footer_links', /* where in the theme it's assigned */
    		'container_class' => 'footer-links', /* container class */
    		'fallback_cb' => 'wptriumph_footer_links_fallback' /* menu fallback */
    	)
	);
}

function wptriumph_top_nav_fallback(){
	$theme_options = get_option('symphony_options');
	echo '<ul>';
	if ( $theme_options['symphony_facebook_url'] ) echo '<li><a href="'. $theme_options['symphony_facebook_url'] .'">Facebook</a></li>';
	if ( $theme_options['symphony_twitter_url'] ) echo '<li><a href="'. $theme_options['symphony_twitter_url'] .'">Twitter</a></li>';
	echo '<li><a href="' . get_bloginfo('rss2_url') . '" >Subscribe RSS</a></li>';
	echo '</ul>';
}
function wptriumph_main_nav_fallback() { wp_page_menu( 'show_home=Home&menu_class=menu' ); }
function wptriumph_footer_links_fallback() { echo '<ul class="footer-links"><li>symphony Premium Theme<li></ul>'; }
	

/* function to remove [...] text replaced by ... */
add_filter('get_the_excerpt', 'wptriumph_trim_excerpt');
function wptriumph_trim_excerpt($text) { return rtrim($text,' [...]').'...'; }

/* Added <span> element for the last word on the widget title, if widget title have more than 1 words */
add_filter('widget_title', 'wptriumph_widget_title');
function wptriumph_widget_title($title){
	$arr_title = explode(' ', $title);
	if ( count($arr_title) > 0 ){
		$arr_title[ count($arr_title) - 1 ] = '<span class="title-big">' . $arr_title[ count($arr_title) - 1 ] . '</span>';
		$title = implode(' ', $arr_title);
		//$title = count($arr_title);
	}
	
	return $title;
}

add_filter('the_category', 'wptriumph_remove_rel_cat' );
function wptriumph_remove_rel_cat($thelist){


	return str_replace('rel="category tag"', "" , $thelist);
	
	
}
/* this function to exerpt words on string */
function excerpt_string($string, $w=15){

	$arr_str = explode(' ', $string);
	$arr_str = array_slice($arr_str, 0, $w );
	return implode(' ', $arr_str);
}

/* Function that return category list array */
function wptriumph_category_array( $taxonomy = 'category' ){
	$category_array = get_categories( array('taxonomy'=>$taxonomy, 'hide_empty'=>0) );
	$cat_return = array();
	foreach( $category_array as $cat ){
		$cat_return[$cat->term_id] = $cat->name; 
	}
	return $cat_return;
}


?>