<?php
// MEDIAFLUX RECENT POSTS WIDGET v.1.0
// www.wepixels.com

class WP_Widget_Recent_Comments_wptriumph extends WP_Widget {
	/** constructor */
	function WP_Widget_Recent_Comments_wptriumph() {
		$widget_ops = array('classname' => 'widget_comments_wrap', 'description' => __( 'wptriumph - Recent Comments v.1.0', 'wptriumph') );
		$this->WP_Widget('recent_comments_wptriumph', __('wptriumph - Recent Comments', 'wptriumph'), $widget_ops);
	}

	/** @see WP_Widget::widget */
	function widget($args, $instance) {		
		extract( $args );
		$default = 	array('widget_title'=>__('Latest Comments', 'wptriumph'), 'quantity'=>'5' );
		$instance = wp_parse_args($instance, $default);			
		$widget_title = apply_filters('widget_title', $instance['widget_title']);
		$quantity = $instance['quantity'];
		// DISPLAY WIDGET
		echo $before_widget;
		?>
			<?php if(!empty($instance['widget_title'])){ echo $before_title . $widget_title . $after_title; } ?>
			<ul class="widget_comments">
			<?php
				$q = $quantity;
				$i = 0;
				$recent_comments = get_comments( array(
					'number'    => $quantity,
					'status'    => 'approve'
				) );
				//print_r($recent_comments);
				//$default //d=" . urlencode( $default ) . "&
				$size = 60;
				foreach ( $recent_comments as $comment ){
					//echo $comment->comment_author_email.'<br/>';
					$grav_url = "http://www.gravatar.com/avatar/" . md5( strtolower( trim( $comment->comment_author_email ) ) ) . "?s=" . $size;
				?>
				<li>
					<div class="comment-avatar"><img src="<?php echo $grav_url; ?>" alt="" class="left" style="display:block" /></div>
					<div class="clearfix"><a href="<?php echo get_permalink($comment->comment_post_ID).'#comment-'.$comment->comment_ID; ?>" class="comment_link"><strong><?php echo $comment->comment_author; ?>: </strong>
					<?php echo excerpt_string(get_comment_excerpt( $comment->comment_ID ), 15); ?></a></div>
					
				</li>
				<?php
				}
				?>
			</ul>
		<?php
		echo $after_widget;
	}

	/** @see WP_Widget::update */
	function update($new_instance, $old_instance) {				
		$instance = $old_instance;
		$instance['widget_title'] = strip_tags($new_instance['widget_title']);
		$instance['quantity'] = strip_tags($new_instance['quantity']);

		return $instance;
	}

	/** @see WP_Widget::form */
	function form($instance) {		
		$default = 	array('widget_title'=>__('Latest Comments', 'wptriumph'), 'quantity'=>'5' );
		$instance = wp_parse_args($instance, $default);			
		$widget_title = $instance['widget_title'];
		$quantity = $instance['quantity'];
		?>
		<input style="display:none;" type="text" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $title; ?>" />
		<p>
			Widget title:
			<input class="widefat" type="text" name="<?php echo $this->get_field_name('widget_title'); ?>" value="<?php echo $widget_title; ?>" />
		</p>
		<p>
			Posts:
			<input class="widefat" type="text" name="<?php echo $this->get_field_name('quantity'); ?>" value="<?php echo $quantity; ?>" />
		</p>
		<?php 
	}

} // class FooWidget

add_action('widgets_init', create_function('', 'return register_widget("WP_Widget_Recent_Comments_wptriumph");'));

?>