<?php
// MEDIAFLUX RECENT COMMENTS WIDGET v.1.0
// www.wptriumph.me

class WP_Widget_Tabs_wptriumph extends WP_Widget {
	/** constructor */
	function WP_Widget_Tabs_wptriumph() {
		//parent::WP_Widget(false, $name = 'RecentPostWidget');	
		$widget_ops = array('classname' => 'tabs_mflux', 'description' => __( 'wptriumph - Tabs v.1.0', 'wptriumph') );
		$this->WP_Widget('tabs_mflux', __('wptriumph - Tabs v.1.0', 'wptriumph'), $widget_ops);
	}

	/** @see WP_Widget::widget */
	function widget($args, $instance) {		
		extract( $args );
		$default = array( 'widget_one'=>1, 'widget_two'=>2, 'widget_three'=>3 );
		$instance = wp_parse_args($instance, $default);			
		$widget_one = $instance['widget_one'];
		$widget_two = $instance['widget_two'];
		$widget_three = $instance['widget_three'];
		$tab[1] = apply_filters('widget_title', __('Recent Posts', 'wptriumph') );
		$tab[2] = apply_filters('widget_title', __('Recent Response','wptriumph') );
		$tab[3] = apply_filters('widget_title', __('Hot Tags','wptriumph') );
		$tab[4] = apply_filters('widget_title', __('Popular Posts','wptriumph') );
		$tab[5] = apply_filters('widget_title', __('Browse Categories','wptriumph') );
		$tab[6] = apply_filters('widget_title', __('Browse Archives','wptriumph') );
		$tab[7] = apply_filters('widget_title', __('Browse Pages','wptriumph') );
		echo $before_widget; 
		?>

		<div class="tabs">
			<ul class="nav-tab clearfix"> 
				<li class="first_tab tab-active"><h3><a href="#tabs-1"><?php echo $tab[$widget_one]; ?></a></h3></li>
				<li class="second_tab"><h3><a href="#tabs-2"><?php echo $tab[$widget_two]; ?></a></h3></li>
				<li class="third_tab"><h3><a href="#tabs-3"><?php echo $tab[$widget_three]; ?></a></h3></li>
			</ul>	
			<div class="tab-content tabs-1 active clearfix">
				<?php $this->show_widget($widget_one); ?>
			</div>
			<div class="tab-content tabs-2 hide"><?php $this->show_widget($widget_two); ?>
			</div>
			<div class="tab-content tabs-3 hide"><?php $this->show_widget($widget_three); ?>
			</div>
		</div>

		<?php echo $after_widget; ?>
		<?php 
    }

	/** @see WP_Widget::update */
	function update($new_instance, $old_instance) {				
		$instance = $old_instance;
		$instance['widget_one'] = $new_instance['widget_one'];
		$instance['widget_two'] = $new_instance['widget_two'];
		$instance['widget_three'] = $new_instance['widget_three'];

		return $instance;
	}

	/** @see WP_Widget::form */
	function form($instance) {				
		$default = array( 'widget_one'=>1, 'widget_two'=>2, 'widget_three'=>3 );
		$instance = wp_parse_args($instance, $default);			
		$widget_one = $instance['widget_one'];
		$widget_two = $instance['widget_two'];
		$widget_three = $instance['widget_three'];
		?>
		<p>
			Tab One:
			<select name="<?php echo $this->get_field_name('widget_one'); ?>">
				<option value="1" <?php if ($widget_one=="1"):?> selected <?php endif; ?>>Recent Posts</option>
				<option value="2" <?php if ($widget_one=="2"):?> selected <?php endif; ?>>Recent Comments</option>
				<option value="3" <?php if ($widget_one=="3"):?> selected <?php endif; ?>>Tag Clouds</option>
				<option value="4" <?php if ($widget_one=="4"):?> selected <?php endif; ?>>Popular Posts</option>
				<option value="5" <?php if ($widget_one=="5"):?> selected <?php endif; ?>>Categories</option>
				<option value="6" <?php if ($widget_one=="6"):?> selected <?php endif; ?>>Archives</option>
				<option value="7" <?php if ($widget_one=="7"):?> selected <?php endif; ?>>Pages</option>
			</select>
		</p>
		<p>
			Tab Two:
			<select name="<?php echo $this->get_field_name('widget_two'); ?>">
				<option value="1" <?php if ($widget_two=="1"):?> selected <?php endif; ?>>Recent Posts</option>
				<option value="2" <?php if ($widget_two=="2" || empty($widget_two)):?> selected <?php endif; ?>>Recent Comments</option>
				<option value="3" <?php if ($widget_two=="3"):?> selected <?php endif; ?>>Tag Clouds</option>
				<option value="4" <?php if ($widget_two=="4"):?> selected <?php endif; ?>>Popular Posts</option>
				<option value="5" <?php if ($widget_two=="5"):?> selected <?php endif; ?>>Categories</option>
				<option value="6" <?php if ($widget_two=="6"):?> selected <?php endif; ?>>Archives</option>
				<option value="7" <?php if ($widget_two=="7"):?> selected <?php endif; ?>>Pages</option>
			</select>
		</p>
		<p>
			Tab Three:
			<select name="<?php echo $this->get_field_name('widget_three'); ?>">
				<option value="1" <?php if ($widget_three=="1"):?> selected <?php endif; ?>>Recent Posts</option>
				<option value="2" <?php if ($widget_three=="2"):?> selected <?php endif; ?>>Recent Comments</option>
				<option value="3" <?php if ($widget_three=="3" || empty($widget_three)):?> selected <?php endif; ?>>Tag Clouds</option>
				<option value="4" <?php if ($widget_three=="4"):?> selected <?php endif; ?>>Popular Posts</option>
				<option value="5" <?php if ($widget_three=="5"):?> selected <?php endif; ?>>Categories</option>
				<option value="6" <?php if ($widget_three=="6"):?> selected <?php endif; ?>>Archives</option>
				<option value="7" <?php if ($widget_three=="7"):?> selected <?php endif; ?>>Pages</option>
			</select>
		</p>

		<?php 
	}

	function show_widget($num){
		$id = '';
		if ($num == 1){
			$widget_name = esc_html('WP_Widget_Recent_Posts_wptriumph');
			$atts = 'quantity=5&thumbs=display&titles=display&date=display&excerpt=hide&cat=multiple_cat';
			the_widget($widget_name, $atts, array('widget_id'=>'arbitrary-instance-'.$id,
				'before_widget' => '<div>',
				'after_widget' => '</div>',
				'before_title' => '<h3 style="display:none">',
				'after_title' => '</h3>'
			));
		}
		if ($num == 2){
			$widget_name = esc_html('WP_Widget_Recent_Comments_wptriumph');
			$atts = 'quantity=5';
			the_widget($widget_name, $atts, array('widget_id'=>'arbitrary-instance-'.$id,
				'before_widget' => '<div>',
				'after_widget' => '</div>',
				'before_title' => '<h3 style="display:none">',
				'after_title' => '</h3>'
			));
		}
		if ($num == 3){
			$widget_name = esc_html('WP_Widget_Tag_Cloud');
			$atts = '';
			the_widget($widget_name, $atts, array('widget_id'=>'arbitrary-instance-'.$id,
				'before_widget' => '<div class="tag_tab">',
				'after_widget' => '<div class="clear"></div></div>',
				'before_title' => '<h3 style="display:none">',
				'after_title' => '</h3>'
			));
		}
		if ($num == 4){
			$widget_name = esc_html('WP_Widget_Recent_Posts_wptriumph');
			$atts = 'quantity=5&thumbs=display&titles=display&date=display&excerpt=hide&order=comment_count&cat=multiple_cat';
			the_widget($widget_name, $atts, array('widget_id'=>'arbitrary-instance-'.$id,
				'before_widget' => '<div>',
				'after_widget' => '</div>',
				'before_title' => '<h3 style="display:none">',
				'after_title' => '</h3>'
			));
		}
		if ($num == 5){
			$widget_name = esc_html('WP_Widget_Categories');
			$atts = '';
			the_widget($widget_name, $atts, array('widget_id'=>'arbitrary-instance-'.$id,
				'before_widget' => '<div>',
				'after_widget' => '</div>',
				'before_title' => '<h3 style="display:none">',
				'after_title' => '</h3>'
			));
		}
		if ($num == 6){
			$widget_name = esc_html('WP_Widget_Archives');
			$atts = '';
			the_widget($widget_name, $atts, array('widget_id'=>'arbitrary-instance-'.$id,
				'before_widget' => '<div>',
				'after_widget' => '</div>',
				'before_title' => '<h3 style="display:none">',
				'after_title' => '</h3>'
			));
		}
		if ($num == 7){
			$widget_name = esc_html('WP_Widget_Pages');
			$atts = '';
			the_widget($widget_name, $atts, array('widget_id'=>'arbitrary-instance-'.$id,
				'before_widget' => '<div>',
				'after_widget' => '</div>',
				'before_title' => '<h3 style="display:none">',
				'after_title' => '</h3>'
			));
		}
	}
}

add_action('widgets_init', create_function('', 'return register_widget("WP_Widget_Tabs_wptriumph");'));

?>